package com.example.tommy.listenertest1;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.widget.Toast;

//MainActivityはボタンがクリックされたことはわからないが，ボタンが5の倍数回押されたら，
//疑似イベントとしてmEventDetectorから報告を受ける。
public class MainActivity extends AppCompatActivity {

    private int eventcount=0;
    private EventDetector mEventDetector= new EventDetector(); //イベントが発生する場所
    private TestListener mTestListener
            = new TestListener() {
        @Override
        public void testtestSC() {     //イベントお知らせメソッド
            eventcount++;
            Toast.makeText(MainActivity.this, "LISTENER: event detected ("
                    + eventcount + ")", Toast.LENGTH_SHORT).show();
        }
    };

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        mEventDetector.initEventDetector(this);       //mEventDetectorを初期化
        mEventDetector.setListener(mTestListener);     //mEventDetectorにmTestListenerを登録
    }
}
