package com.example.tommy.listenertest2;

import android.support.design.widget.Snackbar;
import android.view.View;
import android.widget.Button;

// 疑似イベント発生クラス
// ボタンが5の倍数回押されたときに疑似イベントが発生する。
public class EventDetector {
    private EventDetector mListenerED;
    private int mCount=0;

    public void setListener(EventDetector ls) {
        mListenerED=ls;
    }

    public void initEventDetector(MainActivity mMainActivity) {
        Button mButton=(Button) mMainActivity.findViewById(R.id.button0);

        //ボタンイベントを取得し5ｎ回目だったら疑似イベントを発生。
        mButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Snackbar.make(view, "BUTTON: clicked", Snackbar.LENGTH_LONG)
                        .setAction("Action", null).show();
                if (++mCount%5==0) {
                    mListenerED.testtestSC();         //MainActivityにイベント発生を通知
                }
            }
        });
    }

    void testtestSC() {} //これはオーバーライド用
}