package com.example.tommy.listenertestd2;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.widget.Button;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {

    private int totaleventcount=0;
    private EventDetector mEventDetector
            = new EventDetector() {
        @Override
        public void testtestSC() {                         //イベントお知らせメソッド
            int num=mEventDetector.getSCCount();
            totaleventcount++;
            Toast.makeText(MainActivity.this, "LISTENER: Short Click count= "
                    + num + " (" + totaleventcount + ")", Toast.LENGTH_SHORT).show();
        }
        @Override
        public void testtestLC(int num) {                 //イベントお知らせメソッド
            totaleventcount++;
            Toast.makeText(MainActivity.this, "LISTENER: Long Click count= "
                    + num + " (" + totaleventcount + ")", Toast.LENGTH_SHORT).show();
        }
    };

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        mEventDetector.initEventDetector(this);       //mEventDetectorを初期化
        mEventDetector.setListener(mEventDetector);     //mEventDetectorにmTestListenerを登録
    }
}
